Mailing List Archive

Confusion about LTS versions. Any comprehensive documentation regarding everything LTS?
Hi,

Is there any documentation focused on the LTS versions of Varnish Cache? And with that I mean things like "What does the LTS version of Varnish mean?", "Why should or shouldn't I choose an LTS version?", "What is the latest LTS version?" and "How do I install an LTS version?".

Currently I can't find any such documentation anywhere.

We use Varnish Cache 6.0 LTS (6.0.6) now, on Ubuntu 18.04 LTS. I'm testing setting up a new Varnish server, on Ubuntu 20.04 LTS, and it automatically installs Varnish 6.2.1-2.

Is that an LTS version? How can I verify that? And if not, how can I make sure that the version being selected is an LTS version?

I followed the instructions at https://packagecloud.io/varnishcache/varnish60lts/install#manual-deb and in the file varnishcache_varnish60lts.list I made sure to change "trusty" to "focal" to match the Ubuntu version.

Also, the "Releases & Downloads" page is quite confusing. First, it doesn't say _anything_ about LTS versions. Secondly, it specifically mentions version 7.0.2, 6.6.2 and 6.0.10 as supported, and says "All releases not mentioned above are End-Of-Life and unsupported". What does that mean?

https://varnish-cache.org/releases/

Also, is there a place where we can see the roadmap for future planned LTS versions? Now I have no idea if there will be a new LTS coming next week, next year, or 2030.
Re: Confusion about LTS versions. Any comprehensive documentation regarding everything LTS? [ In reply to ]
Hi,

Would this help? https://lists.archive.carbon60.com/varnish/misc/49998

Cheers,

--
Guillaume Quintard


On Wed, Mar 2, 2022 at 8:51 AM Batanun B <batanun@hotmail.com> wrote:

> Hi,
>
> Is there any documentation focused on the LTS versions of Varnish Cache?
> And with that I mean things like "What does the LTS version of Varnish
> mean?", "Why should or shouldn't I choose an LTS version?", "What is the
> latest LTS version?" and "How do I install an LTS version?".
>
> Currently I can't find any such documentation anywhere.
>
> We use Varnish Cache 6.0 LTS (6.0.6) now, on Ubuntu 18.04 LTS. I'm testing
> setting up a new Varnish server, on Ubuntu 20.04 LTS, and it automatically
> installs Varnish 6.2.1-2.
>
> Is that an LTS version? How can I verify that? And if not, how can I make
> sure that the version being selected is an LTS version?
>
> I followed the instructions at
> https://packagecloud.io/varnishcache/varnish60lts/install#manual-deb and
> in the file varnishcache_varnish60lts.list I made sure to change "trusty"
> to "focal" to match the Ubuntu version.
>
> Also, the "Releases & Downloads" page is quite confusing. First, it
> doesn't say _anything_ about LTS versions. Secondly, it specifically
> mentions version 7.0.2, 6.6.2 and 6.0.10 as supported, and says "All
> releases not mentioned above are End-Of-Life and unsupported". What does
> that mean?
>
> https://varnish-cache.org/releases/
>
> Also, is there a place where we can see the roadmap for future planned LTS
> versions? Now I have no idea if there will be a new LTS coming next week,
> next year, or 2030.
> _______________________________________________
> varnish-misc mailing list
> varnish-misc@varnish-cache.org
> https://www.varnish-cache.org/lists/mailman/listinfo/varnish-misc
>
Re: Confusion about LTS versions. Any comprehensive documentation regarding everything LTS? [ In reply to ]
Hi Guillaume,

Well, not really. It is a snapshot of the state almost two years ago, and I expected some page where the information is kept up-to-date. And LTS is only mentioned two times in that email, not answering any of my LTS questions.

Is there an up-to-date list of _all_ LTS versions (down to the minor version number)? Now I have no idea how to check if 6.2.1-2 is LTS or not.

Is an LTS version just saying that "version x.y.z is LTS"? Or are the LTS versions completely separate from the non-LTS versions? As in, can there exist an LTS version 1.2.3 and a non-LTS 1.2.3 which does not contain the same thing?

Any info on upcoming LTS versions? I'm specifically interested in new non-minor versions, like 6.6 or 7.0.
<https://www.varnish-cache.org/lists/mailman/listinfo/varnish-misc>
Re: Confusion about LTS versions. Any comprehensive documentation regarding everything LTS? [ In reply to ]
--------
Batanun B writes:

> Any info on upcoming LTS versions? I'm specifically interested in new non-minor versions, like 6.6 or 7.0.
> <https://www.varnish-cache.org/lists/mailman/listinfo/varnish-misc>

The official status is on the "downloads" page of the project homepage:

http://varnish-cache.org/releases/index.html

I will admit that is pretty sparse information, but it is also as precise
as we have it at this time.

We generally only have one LTS release at any one time, although there can
be small overlaps when we jump from one LTS to another.

My advice would be to pick any release you want from LTS or younger.
Upgrades, or even downgrades, between versions are close to painless.

Poul-Henning

--
Poul-Henning Kamp | UNIX since Zilog Zeus 3.20
phk@FreeBSD.ORG | TCP/IP since RFC 956
FreeBSD committer | BSD since 4.3-tahoe
Never attribute to malice what can adequately be explained by incompetence.
_______________________________________________
varnish-misc mailing list
varnish-misc@varnish-cache.org
https://www.varnish-cache.org/lists/mailman/listinfo/varnish-misc
Re: Confusion about LTS versions. Any comprehensive documentation regarding everything LTS? [ In reply to ]
> Batanun B writes:
>
>> Any info on upcoming LTS versions? I'm specifically interested in
>> new non-minor versions, like 6.6 or 7.0.
This thread has helped me notice that some things I knew about LTS don't
appear to be stated very obviously in the docs.

LTS versions have been at an N.M.x version for years at a time.
Currently 6.0.x, before that it was 4.1.x. That does change, but rarely.
"Long term" is for real.

But LTS versions don't ordinarily fall very far behind current
development, because fixes and new features are backported to LTS as
long as they aren't breaking changes.

So if you're wondering about 6.6 or 7.0, is it because of some specific
feature? If so, did that feature introduce a breaking change? If so,
then you probably need 7.0.

If you're just interested in an LTS version with recent fixes and
maintenance, then you're probably all right with the most recent LTS
version, currently 6.0.10.

Details about features and fixes in the LTS versions are in
doc/changes.rst in the 6.0 branch of the git repo:

https://github.com/varnishcache/varnish-cache/blob/6.0/doc/changes.rst


Peace,
Geoff
--
** * * UPLEX - Nils Goroll Systemoptimierung

Scheffelstra├če 32
22301 Hamburg

Tel +49 40 2880 5731
Mob +49 176 636 90917
Fax +49 40 42949753

http://uplex.de